%define major 2
%define major_gnomecanvas 1
%define lib_name %mklibname %{name} %{major}
%define lib_canvas %mklibname %{name}-gnomecanvas %{major_gnomecanvas}
%define lib_xlib %mklibname %{name}-xlib %{major}

# define to use Xvfb
%define build_xvfb 1

# Allow --with[out] <feature> at rpm command line build
%{?_without_XVFB: %{expand: %%define build_xvfb 0}}
%{?_with_XVFB: %{expand: %%define build_xvfb 1}}

Summary:	An image loading and rendering library for Gdk
Name:		gdk-pixbuf
Version:	0.22.0
Release:	%mkrel 10
License:	LGPL
Group:		System/Libraries
BuildRequires:	gnome-libs-devel libjpeg-devel libpng-devel libtiff-devel db1-devel
BuildRequires:	libxt-devel
BuildRequires:	autoconf2.1
%if %{build_xvfb}
BuildRequires:	XFree86-Xvfb
%endif
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.bz2
Patch0:		gdk-pixbuf-demolink.patch.bz2
# (fc) 0.18.0-1mdk don't add -Llibdir to gdk-pixbuf-config --libs
Patch1:		gdk-pixbuf-0.18.0-libdir.patch.bz2
# (fc) 0.22.0-4mdk security update for CAN-2004-0782, CAN-2004-0783, CAN-2004-0788, and CAN-2004-0753
Patch2:		gdk-pixbuf-0.22.0-CAN-2004-0753.patch.bz2
Patch3:		gdk-pixbuf-0.22.0-loaders.patch.bz2
# (gb) 0.22.0-7mdk this applies to aclocal.m4 directly, don't bother with older aclocal
Patch4:		gdk-pixbuf-0.22.0-libtool.patch.bz2
# (fc) 0.22.0-8mdk fix BMP vulnerability (CVS) (CAN-2005-0891)
Patch5:		gdk-pixbuf-0.22.0-bmpcrash.patch.bz2
# (fc) 0.22.0-8mdk fix ICO width (Fedora)
Patch6:		gdk-pixbuf-0.22.0-ico-width.patch.bz2
Patch7:		gdk-pixbuf-0.22.0-fix-underquoted-calls.patch.bz2
BuildRoot:	%{_tmppath}//%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnome.org/
Requires:	%{name}-loaders = %{version}

%description
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

%package -n	%{lib_name}
Summary:	An image loading and rendering library for Gdk
Group:		System/Libraries
Requires:	%{name}-loaders = %{version}
Obsoletes:	gdk-pixbuf
Provides:	gdk-pixbuf = %{version}

%description -n	%{lib_name}
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides GTK+ version of gdk-pixbuf

%package -n	%{lib_canvas}
Summary:	An image loading and rendering library for Gdk
Group:		System/Libraries
Requires:	gnome-libs %{name}-loaders = %{version}
Obsoletes:	%{name}-gnomecanvas
Provides:	%{name}-gnomecanvas = %{version}
Obsoletes:	lib%{name}-gnomecanvas2 <= 0.13.0-1mdk
Provides:	lib%{name}-gnomecanvas2 = %{version}

%description -n	%{lib_canvas}
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides GNOME version of gdk-pixbuf

%package -n	%{lib_xlib}
Summary:	An image loading and rendering library for Gdk
Group:		System/Libraries
Requires:	%{name}-loaders = %{version}
Obsoletes:	%{name}-xlib
Provides:	%{name}-xlib = %{version}

%description -n	%{lib_xlib}
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides Xlib version of gdk-pixbuf

%package	loaders
Summary:	An image loading and rendering library for Gdk
Group:		System/Libraries

%description	loaders
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides image loaders used by all versions
of GdkPixBuf

%package -n	%{lib_name}-devel
Summary:	Development tools for GdkPixBuf applications
Group:		Development/GNOME and GTK+
Requires:	%{lib_canvas} = %{version}
Requires:	%{lib_xlib} = %{version}
Requires:	%{lib_name} = %{version}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n	%{lib_name}-devel
The header files, static libraries and documentation needed for
deeveloping GdkPixBuf applications. GdkPixBuf is an image loading and rendering
library for Gdk.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the gdk-pixbuf package.

%prep
%setup -q 
%patch0 -p1 -b .demolink
%patch1 -p1 -b .libdir
%patch2 -p1 -b .can-2004-0753
%patch3 -p1 -b .can-2004-0782_0783_0788
%patch4 -p1 -b .libtool
%patch5 -p1 -b .bmpcrash
%patch6 -p1 -b .ico-width
%patch7 -p1 -b .underquoted

# needed by patches 1 & 4
WANT_AUTOCONF_2_1=1 autoconf

%build
%configure2_5x --disable-gtk-doc

%if %{build_xvfb}
XDISPLAY=$(i=0; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
Xvfb :$XDISPLAY >& /dev/null &
DISPLAY=:$XDISPLAY %make
kill $(cat /tmp/.X$XDISPLAY-lock)
%else
%make
%endif


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gdk-pixbuf-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_xlib} -p /sbin/ldconfig

%postun -n %{lib_xlib} -p /sbin/ldconfig

%post -n %{lib_canvas} -p /sbin/ldconfig

%postun -n %{lib_canvas} -p /sbin/ldconfig

%post loaders -p /sbin/ldconfig

%postun loaders -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO 
%{_libdir}/libgdk_pixbuf.so.*

%files loaders
%defattr(-,root,root)
%dir %{_libdir}/gdk-pixbuf
%dir %{_libdir}/gdk-pixbuf/loaders
%{_libdir}/gdk-pixbuf/loaders/*.so*

%files -n %{lib_xlib} 
%defattr(-,root,root)
%{_libdir}/*xlib.so.*

%files -n %{lib_canvas}
%defattr(-,root,root)
%{_libdir}/*gnomecanvas*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/*-config
%multiarch %{multiarch_bindir}/*-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/libgdk*.so
%{_libdir}/libgnome*.so
%{_libdir}/gdk-pixbuf/loaders/*a
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/*.sh
%{_datadir}/gnome/html/*

%changelog
* Wed Aug  9 2006 Götz Waschk <waschk@mandriva.org> 0.22.0-10mdv2007.0
- fix buildrequires

* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.22.0-9mdk
- fix underquoted calls (P7)
- %%mkrel

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22.0-8mdk 
- Patch5 (CVS): fix BMP vulnerability (CVS) (CAN-2005-0891)
- Patch6 (Fedora): fix ico width 

* Wed Feb  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.22.0-7mdk
- old libtool fixes

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22.0-6mdk 
- Disable doc generation
- multiarch
- Remove explicit requires
- fix rpmlint error/warnings

* Mon Sep 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22.0-5mdk
- Update patch3 to fix error from gtk hackers
- Fix build on x86-64

* Thu Sep 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22.0-4mdk
- Patches 2 & 3 : security update for CAN-2004-0782, CAN-2004-0783, 
  CAN-2004-0788, and CAN-2004-0753

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.22.0-3mdk
- fix buildrequires
- cosmetics

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.22.0-2mdk
- mklibnamification

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22.0-1mdk
- Release 0.22.0

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21.0-1mdk
- Release 0.21.0

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18.0-3mdk
- Update patch1 to do its jobs on all available targets for gdk-pixbuf

* Tue Jul 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.18.0-2mdk
- Conditionalize build with Xvfb. i.e. don't care if you know you are
  already running an X server.

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18.0-1mdk
- Release 0.18.0
- Patch1: don't add -L/usr/lib in gdk-pixbuf --libs (Geoffrey Lee)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17.0-1mdk
- Release 0.17.0

* Tue Mar 26 2002 David BAUDENS <baudens@mandrakesoft.com> 0.16.0-2mdk
- Allow build without display

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16.0-1mdk
- Release 0.16.0

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15.0-1mdk
- Release 0.15.0

* Wed Dec 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.14.0-1mdk
- Release 0.14.0

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-3mdk
- Fix dependencies in libgdk-pixbuf2 (thanks to Yves Duret)

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-2mdk
- Fix major for gnomecanvas subpackage
- Don't install timescale, it is not needed
- gdk-pixbuf package can now be declared dead. Long life to libgdk-pixbuf2
- Fix invalid directory references in .la files

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-1mdk
- Release 0.13.0

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Release 0.12.0
- Libification
- Remove patch0 (no longer needed)

* Thu Oct 11 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.11.0-6mdk
- rebuild with libpng3

* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11.0-5mdk
- package -devel: Requires: %%{name}-gnomecanvas = %%{version}
- Copyright --> License

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11.0-4mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel
- Removed BuildRequires:	zlib-devel

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-3mdk
- Put loaders in %{_libdir}/gdk-pixbuf/loaders

* Mon Jun 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.0-2mdk
- fix build by adding libs to demo/Makefile.am, to link demo properly
- regenerate autoconf/automake/libtool on each build

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Add missing dependency on devel package

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-2mdk
- Recompiled against latest glib/gtk

* Fri Mar  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.0-1mdk
- Release 0.10.0

* Wed Sep 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-2mdk
- Split package in 3 flavors : Xlib, gtk, Gnome

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- Release 0.9.0
- more macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.0-2mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- release 0.8.0
- BM
- use make macro

* Tue Apr 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release for gnome-core 1.1.9 from helix.
- stable version
- add doc files 

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-6mdk
- having some problems to build 1.1.8 on top of gdk_pixbuf 0.7.0
- retro build.

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release 0.7.0

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-5mdk
- The <LIBRARY>Conf.sh missing file cause gnome-core failed at building!
- SMP build/check

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-4mdk
- rebuild for near future gnome (used in Helix).
- build with %{prefix} is suitable
- many minor changes in file sections

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-3mdk

- Changed group for -devel
- Some spec file corrections

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-2mdk

- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 0.6.0-1mdk

- 0.6.0
- Changed group to match those of 7.1
- Spec file corrections
- Let spec-helper do its job

* Mon Jan 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.5.0

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First mandrake package

